System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IServiceProvider An object holding all the information relevant to the current HTTP request. This class is the hub for information about the current http request, it provides a high-level access to the underlying connection.

The most important properties are the and which give developers access to the input arguments and the output stream.

This class implements the interface. The main use of this interface is to call the method to obtain an instance of the that is wrapped by this class.

- Constructor
  a
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added: an object of type 'Exception' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Exception[] To be added To be added: an object of type 'Exception []' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpApplicationState To be added To be added: an object of type 'HttpApplicationState' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpApplication To be added To be added: an object of type 'HttpApplication' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.Caching.Cache To be added To be added: an object of type 'Caching.Cache' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpContext A static method that represents the current thread/AppDomain HttpContext. This property is a gross hack. It is used by applications that have not passed the class around and require access to it.

  The routine internally uses a technique similar to thread local storage to fetch the value which is slower than having this property available as a parameter to your routines.

  To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Web.IHttpHandler To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Web.RequestNotification To be added. To be added. To be added.
- Property
  System.Exception To be added To be added: an object of type 'Exception' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0 System.Obsolete("use WebConfigurationManager.GetWebApplicationSection")
- Method
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0 System.Obsolete("see GetSection")
- Method
  2.0.0.0
  System.Object `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Object `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  System.Web.IHttpHandler To be added To be added: an object of type 'IHttpHandler' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.Collections.IDictionary To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Web.IHttpHandler To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Web.Profile.ProfileBase To be added. To be added. To be added.
- Property
  System.Web.HttpRequest The object for the current request. To be added: an object of type 'HttpRequest' The following example displays the current browser kind (UserAgent) when accessed with a web browser. `<% @Page Language="C#" %> <% Response.Write ("The client is: " + Request.UserAgent); %>` 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpResponse The for the current request. The object for the current request. The following example displays the current browser kind (UserAgent) when accessed with a web browser. `<% @Page Language="C#" %> <% Response.Write ("The client is: " + Request.UserAgent); %>` 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Web.HttpServerUtility To be added To be added: an object of type 'HttpServerUtility' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.SessionState.HttpSessionState To be added To be added: an object of type 'SessionState.HttpSessionState' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.TraceContext To be added To be added: an object of type 'TraceContext' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Security.Principal.IPrincipal To be added a To be added 1.0.5000.0 2.0.0.0